#================================================================#
# ADVERTS
#================================================================#

import es, os
from etmod_2008.languages.languages import languages
from etmod_2008.logs.logs import log
from etmod_2008.players.players import players

#___________________________________________CLASSES

# ------------ #
# CLASSES #
# ------------ #
''' Used to represent adverts '''
class Adverts:
	def __init__(self):
		self.Lines = []
	def Save(self):
		f = None
		try:
			f = open(os.path.join(os.getcwd(), os.path.join(advConfigPath, "adverts.cfg")), "w")
			for lin in self.Lines:
				f.write(line + "\n")
			log("Adverts file successfully saved")
		except:
			log("Couldn't write adverts file")
		finally:
			if f is not None:
				f.close()
	def Load(self):
		f = None
		try:
			f = open(os.path.join(os.getcwd(), os.path.join(advConfigPath, "adverts.cfg")), "r")
			for line in f:
				self.Lines.append(line)
			log("Adverts file successfully loaded")
		except:
			log("Couldn't load adverts file")
		finally:
			if f is not None:
				f.close()
				
#___________________________________________DECLARATIONS

# --------------------- #
# DECLARATIONS #
# --------------------- #
advConfigPath = "cstrike/addons/eventscripts/etmod_2008/adverts/configuration"
adverts = Adverts()

#___________________________________________SERVER EVENTS

# --------------------- #
# SERVER EVENTS #
# --------------------- #
''' Script loaded '''
def load():
	adverts.Load()
	
	# Log
	log("Players sub-script loaded")	
''' Script unloaded '''
def unload():
	adverts.Save()
	
	# Log
	log("Players sub-script unloaded")